org.apache.hadoop.hdfs.server.datanode.fsdataset.impl

## Class ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.fsdataset.impl.ReservedSpaceCalculator
  - - org.apache.hadoop.hdfs.server.datanode.fsdataset.impl.ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage

- Enclosing class:
    ReservedSpaceCalculator

      public static class ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage
      extends ReservedSpaceCalculator

  Based on percentage of total capacity in the storage.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.server.datanode.fsdataset.impl.ReservedSpaceCalculator

      `ReservedSpaceCalculator.Builder, ReservedSpaceCalculator.ReservedSpaceCalculatorAbsolute, ReservedSpaceCalculator.ReservedSpaceCalculatorAggressive, ReservedSpaceCalculator.ReservedSpaceCalculatorConservative, ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservedSpaceCalculatorPercentage(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.DF usage, org.apache.hadoop.fs.StorageType storageType)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservedSpaceCalculatorPercentage

          public ReservedSpaceCalculatorPercentage(org.apache.hadoop.conf.Configuration conf,
                                                   org.apache.hadoop.fs.DF usage,
                                                   org.apache.hadoop.fs.StorageType storageType)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.